### Enumeration

# Soup Cacheability

#### Declaration

    flags Soup.Cacheability

#### Description [src]

Indicates if a message should or shouldn’t be cached.

#### Members

`SOUP_CACHE_CACHEABLE`

  The message should be cached.

  - Value: `1`
  - Available since: 3.0
`SOUP_CACHE_UNCACHEABLE`

  The message shouldn’t be cached.

  - Value: `2`
  - Available since: 3.0
`SOUP_CACHE_INVALIDATES`

  The messages cache should be invalidated.

  - Value: `4`
  - Available since: 3.0
`SOUP_CACHE_VALIDATES`

  The messages cache should be updated.

  - Value: `8`
  - Available since: 3.0